var index = 
{
  "titles": {
    "title": "Arm Education Kit",
    "libname": "ST STM32F4 Discover Board Edition (Early Access Version)",
    "libtype": "Embedded Systems Design Education Kit"
  },
  "headers": [
    {
      "name": "Lecture Presentation",
      "column": "modules"
    },
    {
      "name": "Lab Exercises",
      "column": "exercises"
    }
  ],
  "modules": [
    [
      {
        "column": "modules",
        "name": "Module 1: Introduction to Embedded Systems Design",
        "link": "Contents/Module_1/Introduction.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        "link": "Contents/Module_1/Introduction_Exercise_Solutions.docx"
      }
    ],

    [
      {
        "column": "modules",
        "name": "Module 2: Software Design Basics: Concurrency, Software Engineering and CMSIS APIs",
        //"link": "Contents/2.SW Design Basics/SW Design Basics.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/2.SW Design Basics/SW Design Basics Exercise Solutions.docx"
      }
    ], 
	
    [
      {
        "column": "modules",
        "name": "Module 3: Cortex-M4 Processor Core",
        "link": "Contents/Module_3/CPU.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        "link": "Contents/Module_3/CPU_Exercise_Solutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Manual",
        "link": "Contents/Module_3/CPU_Lab_Exercise.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Code",
        "link": "Contents/Module_3/code/CPUAsmLab.zip"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        "link": "Contents/Module_3/CPU_Project_Square_Root_Approximation.docx"
      },
      {
        "column": "exercises",
        "name": "Starter Code",
        "link": "Contents/Module_3/code/CPUAsmProject.zip"
      },
      {
        "column": "exercises",
        "name": "Code Solution",
        "link": "Contents/Module_3/code/CPUAsmProjectSolution.zip"
      }
    ],
	
	[
      {
        "column": "modules",
        "name": "Module 4: C Code as Implemented in Assembly Language",
       // "link": "Contents/Module_4/04_-_Hardware_Platforms_for_IoT.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name":"Demo Code 1",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Demo Code 2",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      }
    ],
		
	[
      {
        "column": "modules",
        "name": "Module 5: Interrupts",
        //"link": "Contents/Module_5/05_-_The_Arm_Cortex-M4_Processor_Architecture.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Spreadsheet",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name":"Interrupt Demo Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Note",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      }
    ],
	[
      {
        "column": "modules",
        "name": "Module 6: General Purpose Digital Interfacing",
        //"link": "Contents/6.GPIO/GPIO.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/6.GPIO/GPIO Exercise Solutions.docx"
      },
      {
        "column": "exercises",
        "name":"Demo Code",
        //"link": "Contents/6.GPIO/code/GPIODemos.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/6.GPIO/GPIO Lab Exercise - Basic User Interface.docx"
      },
      {
        "column": "exercises",
        "name": "Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      }
    ],	
	
	 
    [
      {
        "column": "modules",
        "name": "Module 7: Analog Interfacing",
        "link": "Contents/Module_7/Analog_Interfacing.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework",
        "link": "Contents/Module_7/Analog_Exercise_Solutions.docx"
      },
      {
        "column": "exercises",
        "name": "Solutions",
        "link": "Contents/Module_7/Analog_IO_Exercise_Generator.xlsx"
      },
      {
        "column": "exercises",
        "name":"Demo Code",
        "link": "Contents/Module_7/Code/AnalogTempSensor.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise 1",
        "link": "Contents/Module_7/Analog_AWD_Lab_Exercise_Voltage_Monitor.docx"
      },
      {
        "column": "exercises",
        "name": "Code 1",
        "link": "Contents/Module_7/Code/AnalogWatchdog.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise 2",
        "link": "Contents/Module_7/Analog_DAC_Lab_Exercise_Signal_Generator.docx"
      },
      {
        "column": "exercises",
        "name": "Code 2",
        "link": "Contents/Module_7/Code/AnalogWaveGen.zip"
      },
      {
        "column": "exercises",
        "name": "Assignment (Infraed Proximity Sensor)",
        "link": "Contents/Module_7/ADC_Project_IR_Proximity_Sensor.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        "link": "Contents/Module_7/Code/AnalogIRProjectSolution.zip"
      }
    ],
	[
      {
        "column": "modules",
        "name": "Module 8: Timers",
        //"link": "Contents/Module_8/08_-_IoT_Connectivity__Part_I.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Demo Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/6.GPIO/GPIO Lab Exercise - Basic User Interface.docx"
      },
      {
        "column": "exercises",
        "name": "Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        //"link": "Contents/module6/GPIOProjectSlideWhistle.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        //"link": "Contents/module6/Code/GPIOProjectSlideWhistle.zip"
      }
    ],
	
	[
      {
        "column": "modules",
        "name": "Module 9: Serial Communication",
        //"link": "Contents/Module_9/09_-_IoT_Connectivity__Part_II.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Demo Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/module6/GPIOLabExerciseBasicUserInterface.docx"
      },
      {
        "column": "exercises",
        "name": "Code",
        //"link": "Contents/module6/GPIOLabBasicUIExternalLCD.zip"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        //"link": "Contents/module6/GPIOProjectSlideWhistle.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        //"link": "Contents/module6/Code/GPIOProjectSlideWhistle.zip"
      }
    ],
    [
      {
        "column": "modules",
        "name": "Module 10: Using Direct Memory Access to Improve Performance",
        //"link": "Contents/Module_9/09_-_IoT_Connectivity__Part_II.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Demo Code 1",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Demo Code 2",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/module6/GPIOLabExerciseBasicUserInterface.docx"
      },
      {
        "column": "exercises",
        "name": "Code",
        //"link": "Contents/module6/GPIOLabBasicUIExternalLCD.zip"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        //"link": "Contents/module6/GPIOProjectSlideWhistle.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        //"link": "Contents/module6/Code/GPIOProjectSlideWhistle.zip"
      }
    ],

      [
        {
            "column": "modules",
            "name": "Appendix",
            //"link": "Contents/Module_11/11_-_IoT_Security.pptx"
          },
        {
            "column": "exercises",
            "name": "Bill of Materials",
            //"link": "Contents/Module_11/Lab6_resources.zip"
          },
          {
            "column": "exercises",
            "name": "Getting Started",
            //"link": "Contents/Appendix/Getting_Started.docx"
          },
          {
            "column": "exercises",
            "name": "Suggested Syllabus",
            //"link": "Contents/Module_11/Lab6_resources.zip"
          },
          {
            "column": "exercises",
            "name": "References",
            //"link": "Contents/Module_11/Lab6_resources.zip"
          }
        
        ],
  ]
}